import platform
from ctypes import c_void_p, Structure, CFUNCTYPE, c_char_p, c_bool, c_int32, POINTER
from icure.kotlin_dll_loader import kdll

class AnyKtRef(Structure):
	_fields_ = [
		("pinned", c_void_p),
	]

UNUSED_C_FUNC = CFUNCTYPE(None)
DATA_RESULT_CALLBACK_FUNC = CFUNCTYPE(None, c_char_p, c_char_p)
PTR_RESULT_CALLBACK_FUNC = CFUNCTYPE(None, c_void_p, c_char_p)
CALLBACK_PARAM_NO_INPUT = CFUNCTYPE(None, c_void_p)
CALLBACK_PARAM_DATA_INPUT = CFUNCTYPE(None, c_void_p, c_char_p)
class SdkInitializationResult(Structure):
	_fields_ = [
		("_type", CFUNCTYPE(c_void_p)),
		("get_failure", CFUNCTYPE(c_void_p, AnyKtRef)),
		("get_success", CFUNCTYPE(AnyKtRef, AnyKtRef)),
	]

class PyCryptoStrategies(Structure):
	_fields_ = [
		("create", CFUNCTYPE(c_void_p, c_void_p, c_void_p, c_void_p, c_void_p)),
		("recoverWithRecoveryKey", CFUNCTYPE(c_void_p, c_void_p, c_char_p, c_bool)),
	]

class ApplicationSettingsApi(Structure):
	_fields_ = [
		("createApplicationSettingsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createApplicationSettingsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getApplicationSettingsAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getApplicationSettingsBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("updateApplicationSettingsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("updateApplicationSettingsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class CodeApi(Structure):
	_fields_ = [
		("createCodeAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createCodeBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createCodesInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createCodesInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterCodesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterCodesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findCodesByLabelAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findCodesByLabelBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findCodesByLinkAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findCodesByLinkBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findCodesByTypeAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findCodesByTypeBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCodeAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCodeBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCodeByRegionLanguageTypeLabelAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCodeByRegionLanguageTypeLabelBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCodeWithPartsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCodeWithPartsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCodesInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCodesInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("importCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("importCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("isCodeValidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("isCodeValidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listCodeTypesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listCodeTypesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listCodesByRegionTypeCodeVersionAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listCodesByRegionTypeCodeVersionBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listTagTypesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listTagTypesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchCodesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchCodesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyCodeAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyCodeBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyCodesInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyCodesInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class shamirKeysManager(Structure):
	_fields_ = [
		("getExistingSplitsInfo", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("updateSelfSplitsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("updateSelfSplitsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class CryptoApi(Structure):
	_fields_ = [
		("shamirKeysManager", shamirKeysManager),
		("forceReloadAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("forceReloadBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
	]

class DeviceApi(Structure):
	_fields_ = [
		("createDeviceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDeviceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createDeviceInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDeviceInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createDevicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDevicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteDeviceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteDeviceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteDevicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteDevicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteDevicesInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteDevicesInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterDevicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterDevicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDeviceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDeviceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDevicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDevicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDevicesInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDevicesInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchDevicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchDevicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyDeviceInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyDeviceInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("updateDeviceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("updateDeviceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("updateDevicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("updateDevicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class DocumentTemplateApi(Structure):
	_fields_ = [
		("createDocumentTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDocumentTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteDocumentTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteDocumentTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findAllDocumentTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findAllDocumentTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getAttachmentTextAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAttachmentTextBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getAttachmentUrl", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentTemplateAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentTemplateAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listDocumentTemplatesAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("listDocumentTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("listDocumentTemplatesByDocumentTypeAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listDocumentTemplatesByDocumentTypeBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listDocumentTemplatesByDocumentTypeForCurrentUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listDocumentTemplatesByDocumentTypeForCurrentUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listDocumentTemplatesBySpecialityAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listDocumentTemplatesBySpecialityBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyDocumentTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyDocumentTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setDocumentTemplateAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setDocumentTemplateAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class EntityReferenceApi(Structure):
	_fields_ = [
		("createEntityReferenceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createEntityReferenceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getLatestAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getLatestBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class EntityTemplateApi(Structure):
	_fields_ = [
		("createEntityTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createEntityTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createEntityTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createEntityTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteEntityTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteEntityTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findAllEntityTemplatesByKeywordAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findAllEntityTemplatesByKeywordBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEntityTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEntityTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEntityTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEntityTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listAllEntityTemplatesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listAllEntityTemplatesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listEntityTemplatesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listEntityTemplatesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listEntityTemplatesByKeywordAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listEntityTemplatesByKeywordBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyEntityTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyEntityTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyEntityTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyEntityTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class FrontEndMigrationApi(Structure):
	_fields_ = [
		("createFrontEndMigrationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createFrontEndMigrationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteFrontEndMigrationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteFrontEndMigrationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFrontEndMigrationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFrontEndMigrationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFrontEndMigrationByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFrontEndMigrationByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFrontEndMigrationsAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getFrontEndMigrationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("modifyFrontEndMigrationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyFrontEndMigrationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class GroupApi(Structure):
	_fields_ = [
		("changeSuperGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("changeSuperGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteOperationTokenAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteOperationTokenBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findGroupsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findGroupsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findGroupsWithContentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findGroupsWithContentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDefaultRolesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDefaultRolesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getGroupsStorageInfosAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getGroupsStorageInfosBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getHierarchyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getHierarchyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getNameOfGroupParentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getNameOfGroupParentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getOperationTokenAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getOperationTokenBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getReplicationInfoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getReplicationInfoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hardDeleteGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hardDeleteGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("initDesignDocsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("initDesignDocsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listAllGroupsIdsAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("listAllGroupsIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("listAppsAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("listAppsBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("listGroupsAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("listGroupsBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("modifyGroupNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyGroupNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyGroupPropertiesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyGroupPropertiesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("registerNewGroupAdministratorAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("registerNewGroupAdministratorBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("resetStorageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("resetStorageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setDefaultRolesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setDefaultRolesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setGroupPasswordAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setGroupPasswordBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("solveConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("solveConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class HealthcarePartyApi(Structure):
	_fields_ = [
		("createHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createHealthcarePartyInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createHealthcarePartyInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteHealthcarePartiesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteHealthcarePartiesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteHealthcarePartiesInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteHealthcarePartiesInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteHealthcarePartyInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteHealthcarePartyInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterHealthPartiesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterHealthPartiesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findHealthcarePartiesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findHealthcarePartiesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findHealthcarePartiesByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findHealthcarePartiesByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findHealthcarePartiesBySpecialityAndPostCodeAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findHealthcarePartiesBySpecialityAndPostCodeBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findHealthcarePartiesBySsinOrNihiiAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findHealthcarePartiesBySsinOrNihiiBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCurrentHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getCurrentHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("getHealthcarePartiesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getHealthcarePartiesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getHealthcarePartiesInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getHealthcarePartiesInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPublicKeyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPublicKeyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listHealthcarePartiesByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listHealthcarePartiesByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listHealthcarePartiesByParentIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listHealthcarePartiesByParentIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchHealthcarePartiesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchHealthcarePartiesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyHealthcarePartyInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyHealthcarePartyInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("registerPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("registerPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class ICureApi(Structure):
	_fields_ = [
		("evictAllFromMapAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("evictAllFromMapBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getIndexingInfoAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getIndexingInfoBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("getIndexingInfoByGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getIndexingInfoByGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getProcessInfoAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getProcessInfoBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("getReplicationInfoAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getReplicationInfoBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("getReplicatorInfoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getReplicatorInfoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getVersionAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getVersionBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("isReadyAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("isReadyBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("resolveContactsConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("resolveContactsConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("resolveDocumentsConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("resolveDocumentsConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("resolveFormsConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("resolveFormsConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("resolveHealthElementsConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("resolveHealthElementsConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("resolveInvoicesConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("resolveInvoicesConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("resolveMessagesConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("resolveMessagesConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("resolvePatientsConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("resolvePatientsConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("updateDesignDocAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("updateDesignDocBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class InsuranceApi(Structure):
	_fields_ = [
		("createInsuranceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createInsuranceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteInsuranceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteInsuranceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getAllInsurancesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAllInsurancesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getInsuranceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getInsuranceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getInsurancesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getInsurancesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInsurancesByCodeAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInsurancesByCodeBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInsurancesByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInsurancesByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyInsuranceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyInsuranceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class KeywordApi(Structure):
	_fields_ = [
		("createKeywordAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createKeywordBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteKeywordsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteKeywordsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getKeywordAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getKeywordBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getKeywordsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getKeywordsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getKeywordsByUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getKeywordsByUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyKeywordAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyKeywordBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class PermissionApi(Structure):
	_fields_ = [
		("modifyUserPermissionsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyUserPermissionsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class PlaceApi(Structure):
	_fields_ = [
		("createPlaceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createPlaceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deletePlacesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deletePlacesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPlaceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPlaceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPlacesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPlacesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyPlaceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyPlaceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class RecoveryApi(Structure):
	_fields_ = [
		("createExchangeDataRecoveryInfoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createExchangeDataRecoveryInfoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createRecoveryInfoForAvailableKeyPairsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createRecoveryInfoForAvailableKeyPairsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteAllExchangeDataRecoveryInfoForAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteAllExchangeDataRecoveryInfoForBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteAllKeyPairRecoveryInfoForAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteAllKeyPairRecoveryInfoForBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteAllRecoveryInfoForAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteAllRecoveryInfoForBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteRecoveryInfoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteRecoveryInfoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("recoverExchangeDataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("recoverExchangeDataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("recoverKeyPairsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("recoverKeyPairsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class RoleApi(Structure):
	_fields_ = [
		("getAllRolesAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getAllRolesBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
	]

class TarificationApi(Structure):
	_fields_ = [
		("createTarificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createTarificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findTarificationsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findTarificationsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findTarificationsByLabelAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findTarificationsByLabelBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTarificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTarificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTarificationWithPartsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTarificationWithPartsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTarificationsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTarificationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyTarificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyTarificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class UserApi(Structure):
	_fields_ = [
		("addRolesToUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("addRolesToUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("addRolesToUserInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("addRolesToUserInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("assignHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("assignHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createAdminUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createAdminUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createAdminUserInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createAdminUserInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createUserInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createUserInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteUserInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteUserInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("disable2faForUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("disable2faForUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("disable2faForUserWithGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("disable2faForUserWithGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("enable2faForUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("enable2faForUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("enable2faForUserWithGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("enable2faForUserWithGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterUsersByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterUsersByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterUsersInGroupByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterUsersInGroupByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findByHcpartyIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findByHcpartyIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findByPatientIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findByPatientIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCurrentUserAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getCurrentUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("getMatchingUsersAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getMatchingUsersBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("getTokenAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTokenBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTokenInAllGroupsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTokenInAllGroupsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTokenInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTokenInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getUserByEmailAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getUserByEmailBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getUserByPhoneNumberAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getUserByPhoneNumberBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listUsersByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listUsersByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listUsersInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listUsersInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchUsersByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchUsersByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyPropertiesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyPropertiesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyUserInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyUserInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("removeRolesFromUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("removeRolesFromUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("removeRolesFromUserInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("removeRolesFromUserInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class DataOwnerApi(Structure):
	_fields_ = [
		("clearCurrentDataOwnerIdsCache", CFUNCTYPE(c_void_p, AnyKtRef)),
		("getCryptoActorStubAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCryptoActorStubBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCurrentDataOwnerAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getCurrentDataOwnerBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("getCurrentDataOwnerHierarchyAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getCurrentDataOwnerHierarchyBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("getCurrentDataOwnerHierarchyIdsAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getCurrentDataOwnerHierarchyIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("getCurrentDataOwnerHierarchyIdsFromAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCurrentDataOwnerHierarchyIdsFromBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCurrentDataOwnerIdAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getCurrentDataOwnerIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("getCurrentDataOwnerStubAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getCurrentDataOwnerStubBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("getCurrentDataOwnerTypeAsync", CFUNCTYPE(None, AnyKtRef, DATA_RESULT_CALLBACK_FUNC)),
		("getCurrentDataOwnerTypeBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
		("getDataOwnerAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDataOwnerBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDataOwnerStubAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDataOwnerStubBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyDataOwnerStubAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyDataOwnerStubBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class IcureMaintenanceTaskApi(Structure):
	_fields_ = [
		("applyKeyPairUpdateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("applyKeyPairUpdateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createKeyPairUpdateNotificationToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createKeyPairUpdateNotificationToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createKeyPairUpdateNotificationsToAllDelegationCounterpartsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createKeyPairUpdateNotificationsToAllDelegationCounterpartsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class extended(Structure):
	_fields_ = [
		("DataOwnerApi", DataOwnerApi),
		("IcureMaintenanceTaskApi", IcureMaintenanceTaskApi),
	]

class encrypted(Structure):
	_fields_ = [
		("findAccessLogsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findAccessLogsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findAccessLogsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findAccessLogsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findAccessLogsByUserAfterDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findAccessLogsByUserAfterDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findAccessLogsInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findAccessLogsInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getAccessLogsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAccessLogsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class tryAndRecover(Structure):
	_fields_ = [
		("findAccessLogsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findAccessLogsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findAccessLogsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findAccessLogsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findAccessLogsByUserAfterDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findAccessLogsByUserAfterDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findAccessLogsInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findAccessLogsInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getAccessLogsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAccessLogsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class AccessLogApi(Structure):
	_fields_ = [
		("encrypted", encrypted),
		("tryAndRecover", tryAndRecover),
		("createAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteAccessLogsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteAccessLogsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findAccessLogsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findAccessLogsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findAccessLogsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findAccessLogsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findAccessLogsByUserAfterDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findAccessLogsByUserAfterDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findAccessLogsInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findAccessLogsInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getAccessLogsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAccessLogsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryDecryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class AccessLogBasicApi(Structure):
	_fields_ = [
		("deleteAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteAccessLogsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteAccessLogsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findAccessLogsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findAccessLogsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findAccessLogsByUserAfterDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findAccessLogsByUserAfterDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findAccessLogsInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findAccessLogsInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getAccessLogsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAccessLogsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class encrypted(Structure):
	_fields_ = [
		("findCalendarItemsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findCalendarItemsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findCalendarItemsByRecurrenceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findCalendarItemsByRecurrenceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemsByPeriodAndHcPartyIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemsByPeriodAndHcPartyIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemsWithIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemsWithIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarsByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarsByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("linkToPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("linkToPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class tryAndRecover(Structure):
	_fields_ = [
		("findCalendarItemsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findCalendarItemsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findCalendarItemsByRecurrenceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findCalendarItemsByRecurrenceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemsByPeriodAndHcPartyIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemsByPeriodAndHcPartyIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemsWithIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemsWithIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarsByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarsByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("linkToPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("linkToPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class CalendarItemApi(Structure):
	_fields_ = [
		("encrypted", encrypted),
		("tryAndRecover", tryAndRecover),
		("createCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteCalendarItemsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteCalendarItemsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findCalendarItemsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findCalendarItemsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findCalendarItemsByRecurrenceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findCalendarItemsByRecurrenceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemsByPeriodAndHcPartyIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemsByPeriodAndHcPartyIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemsWithIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemsWithIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarsByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarsByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("linkToPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("linkToPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryDecryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class CalendarItemBasicApi(Structure):
	_fields_ = [
		("deleteCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteCalendarItemsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteCalendarItemsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findCalendarItemsByRecurrenceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findCalendarItemsByRecurrenceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemsByPeriodAndHcPartyIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemsByPeriodAndHcPartyIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarItemsWithIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarItemsWithIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getCalendarsByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getCalendarsByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class encrypted(Structure):
	_fields_ = [
		("findClassificationsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findClassificationsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("getClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getClassificationsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getClassificationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class tryAndRecover(Structure):
	_fields_ = [
		("findClassificationsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findClassificationsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("getClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getClassificationsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getClassificationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class ClassificationApi(Structure):
	_fields_ = [
		("encrypted", encrypted),
		("tryAndRecover", tryAndRecover),
		("createClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteClassificationsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteClassificationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findClassificationsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findClassificationsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("getClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getClassificationsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getClassificationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryDecryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class ClassificationBasicApi(Structure):
	_fields_ = [
		("deleteClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteClassificationsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteClassificationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getClassificationsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getClassificationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class encrypted(Structure):
	_fields_ = [
		("closeForHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("closeForHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterContactsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterContactsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterServicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterServicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findContactsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findContactsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findContactsByOpeningDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findContactsByOpeningDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getServiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getServiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getServicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getServicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getServicesLinkedToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getServicesLinkedToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactByHCPartyServiceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactByHCPartyServiceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByHCPartyAndFormIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByHCPartyAndFormIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByHCPartyAndFormIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByHCPartyAndFormIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByHCPartyAndPatientSecretFKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByHCPartyAndPatientSecretFKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listServicesByAssociationIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listServicesByAssociationIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listServicesByHealthElementIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listServicesByHealthElementIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class tryAndRecover(Structure):
	_fields_ = [
		("closeForHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("closeForHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterContactsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterContactsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterServicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterServicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findContactsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findContactsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findContactsByOpeningDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findContactsByOpeningDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getServiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getServiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getServicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getServicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getServicesLinkedToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getServicesLinkedToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactByHCPartyServiceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactByHCPartyServiceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByHCPartyAndFormIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByHCPartyAndFormIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByHCPartyAndFormIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByHCPartyAndFormIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByHCPartyAndPatientSecretFKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByHCPartyAndPatientSecretFKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listServicesByAssociationIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listServicesByAssociationIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listServicesByHealthElementIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listServicesByHealthElementIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class ContactApi(Structure):
	_fields_ = [
		("encrypted", encrypted),
		("tryAndRecover", tryAndRecover),
		("closeForHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("closeForHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptServiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptServiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterContactsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterContactsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterServicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterServicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findContactsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findContactsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findContactsByOpeningDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findContactsByOpeningDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findContactsDelegationsStubsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findContactsDelegationsStubsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getServiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getServiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getServiceCodesOccurrencesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getServiceCodesOccurrencesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getServicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getServicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getServicesLinkedToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getServicesLinkedToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactByHCPartyServiceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactByHCPartyServiceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByHCPartyAndFormIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByHCPartyAndFormIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByHCPartyAndFormIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByHCPartyAndFormIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByHCPartyAndPatientSecretFKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByHCPartyAndPatientSecretFKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listServicesByAssociationIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listServicesByAssociationIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listServicesByHealthElementIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listServicesByHealthElementIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchContactsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchContactsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchServicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchServicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("subscribeToServiceEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("subscribeToServiceEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("tryDecryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryDecryptServiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptServiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class ContactBasicApi(Structure):
	_fields_ = [
		("closeForHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("closeForHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterContactsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterContactsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterServicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterServicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findContactsByOpeningDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findContactsByOpeningDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findContactsDelegationsStubsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findContactsDelegationsStubsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getServiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getServiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getServiceCodesOccurrencesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getServiceCodesOccurrencesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getServicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getServicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getServicesLinkedToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getServicesLinkedToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactByHCPartyServiceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactByHCPartyServiceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByHCPartyAndFormIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByHCPartyAndFormIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByHCPartyAndFormIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByHCPartyAndFormIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listContactsByHCPartyAndPatientSecretFKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listContactsByHCPartyAndPatientSecretFKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listServicesByAssociationIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listServicesByAssociationIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listServicesByHealthElementIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listServicesByHealthElementIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchContactsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchContactsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchServicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchServicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("subscribeToServiceEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("subscribeToServiceEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
	]

class encrypted(Structure):
	_fields_ = [
		("deleteMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDocumentsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findDocumentsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findWithoutDelegationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findWithoutDelegationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentsByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentsByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listDocumentsByHcPartyMessageForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listDocumentsByHcPartyMessageForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setRawMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setRawMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setRawSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setRawSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class tryAndRecover(Structure):
	_fields_ = [
		("deleteMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDocumentsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findDocumentsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findWithoutDelegationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findWithoutDelegationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentsByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentsByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listDocumentsByHcPartyMessageForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listDocumentsByHcPartyMessageForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setRawMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setRawMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setRawSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setRawSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class DocumentApi(Structure):
	_fields_ = [
		("encrypted", encrypted),
		("tryAndRecover", tryAndRecover),
		("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("encryptAndSetMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("encryptAndSetMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("encryptAndSetSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("encryptAndSetSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDocumentsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findDocumentsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findWithoutDelegationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findWithoutDelegationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getAndDecryptMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAndDecryptMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p, c_void_p)),
		("getAndDecryptSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAndDecryptSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p, c_void_p)),
		("getAndTryDecryptMainAttachmentAsJsonAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAndTryDecryptMainAttachmentAsJsonBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p, c_void_p)),
		("getAndTryDecryptMainAttachmentAsPlainTextAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAndTryDecryptMainAttachmentAsPlainTextBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p, c_void_p)),
		("getAndTryDecryptMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAndTryDecryptMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p, c_void_p)),
		("getDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentsByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentsByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMainAttachmentAsJsonAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMainAttachmentAsJsonBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMainAttachmentAsPlainTextAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMainAttachmentAsPlainTextBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getRawMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getRawMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getRawSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getRawSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listDocumentsByHcPartyMessageForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listDocumentsByHcPartyMessageForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setRawMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setRawMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setRawSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setRawSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryDecryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class DocumentBasicApi(Structure):
	_fields_ = [
		("deleteDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findWithoutDelegationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findWithoutDelegationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDocumentsByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDocumentsByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMainAttachmentAsJsonAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMainAttachmentAsJsonBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMainAttachmentAsPlainTextAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMainAttachmentAsPlainTextBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getRawMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getRawMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getRawSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getRawSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listDocumentsByHcPartyMessageForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listDocumentsByHcPartyMessageForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setRawMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setRawMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setRawSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setRawSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class encrypted(Structure):
	_fields_ = [
		("findFormsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findFormsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("getChildrenFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getChildrenFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormsByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormsByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormsByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormsByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listFormsByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listFormsByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class tryAndRecover(Structure):
	_fields_ = [
		("findFormsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findFormsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("getChildrenFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getChildrenFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormsByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormsByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormsByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormsByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listFormsByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listFormsByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class FormApi(Structure):
	_fields_ = [
		("encrypted", encrypted),
		("tryAndRecover", tryAndRecover),
		("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findFormsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findFormsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("getChildrenFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getChildrenFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormTemplatesByGuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormTemplatesByGuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormsByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormsByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormsByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormsByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listFormTemplatesBySpecialityAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listFormTemplatesBySpecialityBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listFormsByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listFormsByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setTemplateAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setTemplateAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryDecryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("updateFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("updateFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class FormBasicApi(Structure):
	_fields_ = [
		("createFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getChildrenFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getChildrenFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormTemplatesByGuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormTemplatesByGuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormsByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormsByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getFormsByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getFormsByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listFormTemplatesBySpecialityAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listFormTemplatesBySpecialityBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listFormsByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listFormsByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setTemplateAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setTemplateAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("updateFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("updateFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class encrypted(Structure):
	_fields_ = [
		("filterHealthcareElementsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterHealthcareElementsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findHealthcareElementsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findHealthcareElementsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findHealthcareElementsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findHealthcareElementsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class tryAndRecover(Structure):
	_fields_ = [
		("filterHealthcareElementsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterHealthcareElementsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findHealthcareElementsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findHealthcareElementsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findHealthcareElementsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findHealthcareElementsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class HealthcareElementApi(Structure):
	_fields_ = [
		("encrypted", encrypted),
		("tryAndRecover", tryAndRecover),
		("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterHealthcareElementsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterHealthcareElementsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findHealthcareElementsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findHealthcareElementsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findHealthcareElementsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findHealthcareElementsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findHealthcareElementsDelegationsStubsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findHealthcareElementsDelegationsStubsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchHealthcareElementsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchHealthcareElementsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("tryDecryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class HealthcareElementBasicApi(Structure):
	_fields_ = [
		("deleteHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterHealthcareElementsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterHealthcareElementsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findHealthcareElementsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findHealthcareElementsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findHealthcareElementsDelegationsStubsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findHealthcareElementsDelegationsStubsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchHealthcareElementsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchHealthcareElementsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
	]

class encrypted(Structure):
	_fields_ = [
		("appendCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("appendCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterInvoicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterInvoicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findInvoicesByAuthorAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findInvoicesByAuthorBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findInvoicesByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findInvoicesByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findInvoicesByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findInvoicesByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listAllHcpsByStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listAllHcpsByStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByContactIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByContactIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHcPartyAndGroupIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHcPartyAndGroupIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHcpartySendingModeStatusDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHcpartySendingModeStatusDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByRecipientsIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByRecipientsIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByServiceIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByServiceIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToInsurancesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToInsurancesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToInsurancesUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToInsurancesUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToPatientsUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToPatientsUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("mergeToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("mergeToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("reassignInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("reassignInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("removeCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("removeCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("validateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("validateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class tryAndRecover(Structure):
	_fields_ = [
		("appendCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("appendCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterInvoicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterInvoicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findInvoicesByAuthorAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findInvoicesByAuthorBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findInvoicesByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findInvoicesByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findInvoicesByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findInvoicesByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listAllHcpsByStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listAllHcpsByStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByContactIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByContactIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHcPartyAndGroupIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHcPartyAndGroupIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHcpartySendingModeStatusDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHcpartySendingModeStatusDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByRecipientsIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByRecipientsIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByServiceIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByServiceIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToInsurancesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToInsurancesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToInsurancesUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToInsurancesUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToPatientsUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToPatientsUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("mergeToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("mergeToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("reassignInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("reassignInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("removeCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("removeCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("validateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("validateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class InvoiceApi(Structure):
	_fields_ = [
		("encrypted", encrypted),
		("tryAndRecover", tryAndRecover),
		("appendCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("appendCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterInvoicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterInvoicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findInvoicesByAuthorAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findInvoicesByAuthorBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findInvoicesByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findInvoicesByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findInvoicesByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findInvoicesByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findInvoicesDelegationsStubsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findInvoicesDelegationsStubsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTarificationsCodesOccurrencesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTarificationsCodesOccurrencesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listAllHcpsByStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listAllHcpsByStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByContactIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByContactIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHcPartyAndGroupIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHcPartyAndGroupIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHcpartySendingModeStatusDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHcpartySendingModeStatusDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByRecipientsIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByRecipientsIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByServiceIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByServiceIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToInsurancesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToInsurancesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToInsurancesUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToInsurancesUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToPatientsUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToPatientsUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("mergeToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("mergeToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("reassignInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("reassignInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("removeCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("removeCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryDecryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("validateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("validateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class InvoiceBasicApi(Structure):
	_fields_ = [
		("appendCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("appendCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterInvoicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterInvoicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findInvoicesByAuthorAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findInvoicesByAuthorBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findInvoicesByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findInvoicesByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findInvoicesDelegationsStubsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findInvoicesDelegationsStubsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTarificationsCodesOccurrencesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTarificationsCodesOccurrencesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listAllHcpsByStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listAllHcpsByStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByContactIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByContactIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHcPartyAndGroupIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHcPartyAndGroupIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByHcpartySendingModeStatusDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByHcpartySendingModeStatusDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByRecipientsIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByRecipientsIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listInvoicesByServiceIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listInvoicesByServiceIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToInsurancesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToInsurancesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToInsurancesUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToInsurancesUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listToPatientsUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listToPatientsUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("mergeToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("mergeToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("reassignInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("reassignInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("removeCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("removeCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("validateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("validateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class encrypted(Structure):
	_fields_ = [
		("filterMaintenanceTasksByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterMaintenanceTasksByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class tryAndRecover(Structure):
	_fields_ = [
		("filterMaintenanceTasksByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterMaintenanceTasksByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class MaintenanceTaskApi(Structure):
	_fields_ = [
		("encrypted", encrypted),
		("tryAndRecover", tryAndRecover),
		("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteMaintenanceTasksAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteMaintenanceTasksBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterMaintenanceTasksByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterMaintenanceTasksByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("tryDecryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class MaintenanceTaskBasicApi(Structure):
	_fields_ = [
		("deleteMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteMaintenanceTasksAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteMaintenanceTasksBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterMaintenanceTasksByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterMaintenanceTasksByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
	]

class encrypted(Structure):
	_fields_ = [
		("filterMessagesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterMessagesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByFromAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByFromAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findMessagesByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findMessagesByToAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByToAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByTransportGuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByTransportGuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByTransportGuidSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByTransportGuidSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getChildrenMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getChildrenMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMessagesChildrenAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMessagesChildrenBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listMessagesByInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listMessagesByInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listMessagesByTransportGuidsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listMessagesByTransportGuidsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setMessagesReadStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setMessagesReadStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setMessagesStatusBitsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setMessagesStatusBitsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class tryAndRecover(Structure):
	_fields_ = [
		("filterMessagesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterMessagesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByFromAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByFromAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findMessagesByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findMessagesByToAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByToAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByTransportGuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByTransportGuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByTransportGuidSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByTransportGuidSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getChildrenMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getChildrenMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMessagesChildrenAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMessagesChildrenBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listMessagesByInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listMessagesByInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listMessagesByTransportGuidsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listMessagesByTransportGuidsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setMessagesReadStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setMessagesReadStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setMessagesStatusBitsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setMessagesStatusBitsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class MessageApi(Structure):
	_fields_ = [
		("encrypted", encrypted),
		("tryAndRecover", tryAndRecover),
		("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createMessageInTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createMessageInTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterMessagesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterMessagesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByFromAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByFromAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("findMessagesByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("findMessagesByToAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByToAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByTransportGuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByTransportGuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByTransportGuidSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByTransportGuidSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getChildrenMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getChildrenMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMessagesChildrenAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMessagesChildrenBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listMessagesByInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listMessagesByInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listMessagesByTransportGuidsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listMessagesByTransportGuidsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchMessagesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchMessagesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setMessagesReadStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setMessagesReadStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setMessagesStatusBitsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setMessagesStatusBitsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("tryDecryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class MessageBasicApi(Structure):
	_fields_ = [
		("deleteMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterMessagesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterMessagesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByFromAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByFromAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByToAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByToAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByTransportGuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByTransportGuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findMessagesByTransportGuidSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findMessagesByTransportGuidSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getChildrenMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getChildrenMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getMessagesChildrenAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getMessagesChildrenBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listMessagesByInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listMessagesByInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listMessagesByTransportGuidsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listMessagesByTransportGuidsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchMessagesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchMessagesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setMessagesReadStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setMessagesReadStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setMessagesStatusBitsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setMessagesStatusBitsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
	]

class encrypted(Structure):
	_fields_ = [
		("countOfPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("countOfPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterPatientsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterPatientsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDeletedPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findDeletedPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDuplicatesByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findDuplicatesByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDuplicatesBySsinAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findDuplicatesBySsinBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsByNameBirthSsinAutoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsByNameBirthSsinAutoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsIdsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsIdsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsModifiedAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsModifiedAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("fuzzySearchAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("fuzzySearchBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientByHealthcarePartyAndIdentifierAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientByHealthcarePartyAndIdentifierBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientHcPartyKeysForDelegateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientHcPartyKeysForDelegateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("initialiseConfidentialSecretIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("initialiseConfidentialSecretIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listDeletedPatientsByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listDeletedPatientsByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listOfMergesAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listOfMergesAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listPatientsByHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listPatientsByHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listPatientsOfHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listPatientsOfHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("mergePatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("mergePatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyPatientReferralAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyPatientReferralBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class tryAndRecover(Structure):
	_fields_ = [
		("countOfPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("countOfPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterPatientsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterPatientsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDeletedPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findDeletedPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDuplicatesByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findDuplicatesByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDuplicatesBySsinAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findDuplicatesBySsinBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsByNameBirthSsinAutoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsByNameBirthSsinAutoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsIdsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsIdsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsModifiedAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsModifiedAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("fuzzySearchAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("fuzzySearchBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientByHealthcarePartyAndIdentifierAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientByHealthcarePartyAndIdentifierBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientHcPartyKeysForDelegateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientHcPartyKeysForDelegateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("initialiseConfidentialSecretIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("initialiseConfidentialSecretIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listDeletedPatientsByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listDeletedPatientsByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listOfMergesAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listOfMergesAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listPatientsByHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listPatientsByHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listPatientsOfHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listPatientsOfHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("mergePatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("mergePatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyPatientReferralAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyPatientReferralBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class PatientApi(Structure):
	_fields_ = [
		("encrypted", encrypted),
		("tryAndRecover", tryAndRecover),
		("countOfPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("countOfPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createDelegationsDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationsDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deletePatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deletePatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deletePatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deletePatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterPatientsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterPatientsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDeletedPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findDeletedPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDuplicatesByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findDuplicatesByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDuplicatesBySsinAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findDuplicatesBySsinBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsByNameBirthSsinAutoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsByNameBirthSsinAutoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsIdsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsIdsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsModifiedAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsModifiedAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("forceInitialiseExchangeDataToNewlyInvitedPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("forceInitialiseExchangeDataToNewlyInvitedPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("fuzzySearchAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("fuzzySearchBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getConfidentialSecretIdsOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getConfidentialSecretIdsOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDataOwnersWithAccessToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDataOwnersWithAccessToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientByHealthcarePartyAndIdentifierAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientByHealthcarePartyAndIdentifierBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientHcPartyKeysForDelegateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientHcPartyKeysForDelegateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientIdOfChildDocumentForHcpAndHcpParentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientIdOfChildDocumentForHcpAndHcpParentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getSecretIdsOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getSecretIdsOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("initialiseConfidentialSecretIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("initialiseConfidentialSecretIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listDeletedPatientsByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listDeletedPatientsByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listOfMergesAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listOfMergesAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listPatientsByHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listPatientsByHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listPatientsOfHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listPatientsOfHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchPatientsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchPatientsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("mergePatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("mergePatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyPatientReferralAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyPatientReferralBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("registerPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("registerPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareAllDataOfPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareAllDataOfPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("tryDecryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("undeletePatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("undeletePatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class PatientBasicApi(Structure):
	_fields_ = [
		("countOfPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("countOfPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deletePatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deletePatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deletePatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deletePatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterPatientsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterPatientsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDeletedPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findDeletedPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDuplicatesByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findDuplicatesByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findDuplicatesBySsinAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findDuplicatesBySsinBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsByNameBirthSsinAutoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsByNameBirthSsinAutoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsIdsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsIdsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("findPatientsModifiedAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("findPatientsModifiedAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("fuzzySearchAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("fuzzySearchBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getDataOwnersWithAccessToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getDataOwnersWithAccessToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientByHealthcarePartyAndIdentifierAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientByHealthcarePartyAndIdentifierBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientHcPartyKeysForDelegateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientHcPartyKeysForDelegateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listDeletedPatientsByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listDeletedPatientsByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listOfMergesAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listOfMergesAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listPatientsByHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listPatientsByHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listPatientsOfHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listPatientsOfHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchPatientsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchPatientsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("mergePatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("mergePatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyPatientReferralAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyPatientReferralBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("undeletePatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("undeletePatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class encrypted(Structure):
	_fields_ = [
		("getReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listByReferenceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listByReferenceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class tryAndRecover(Structure):
	_fields_ = [
		("getReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listByReferenceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listByReferenceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class ReceiptApi(Structure):
	_fields_ = [
		("encrypted", encrypted),
		("tryAndRecover", tryAndRecover),
		("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteReceiptsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteReceiptsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("encryptAndSetReceiptAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("encryptAndSetReceiptAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getAndDecryptReceiptAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getAndDecryptReceiptAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getRawReceiptAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getRawReceiptAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listByReferenceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listByReferenceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("logReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("logReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setRawReceiptAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setRawReceiptAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryDecryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class ReceiptBasicApi(Structure):
	_fields_ = [
		("deleteReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteReceiptsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteReceiptsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getRawReceiptAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getRawReceiptAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("listByReferenceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("listByReferenceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("setRawReceiptAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("setRawReceiptAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class encrypted(Structure):
	_fields_ = [
		("getTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTimeTablesByAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTimeTablesByAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTimeTablesByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTimeTablesByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class tryAndRecover(Structure):
	_fields_ = [
		("getTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTimeTablesByAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTimeTablesByAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTimeTablesByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTimeTablesByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class TimeTableApi(Structure):
	_fields_ = [
		("encrypted", encrypted),
		("tryAndRecover", tryAndRecover),
		("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteTimeTablesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteTimeTablesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTimeTablesByAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTimeTablesByAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTimeTablesByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTimeTablesByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryDecryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class TimeTableBasicApi(Structure):
	_fields_ = [
		("deleteTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteTimeTablesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteTimeTablesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTimeTablesByAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTimeTablesByAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTimeTablesByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTimeTablesByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class encrypted(Structure):
	_fields_ = [
		("addParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("addParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterTopicsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterTopicsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTopicsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTopicsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("removeParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("removeParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class tryAndRecover(Structure):
	_fields_ = [
		("addParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("addParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterTopicsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterTopicsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTopicsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTopicsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("removeParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("removeParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class TopicApi(Structure):
	_fields_ = [
		("encrypted", encrypted),
		("tryAndRecover", tryAndRecover),
		("addParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("addParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("createTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("createTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteTopicsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteTopicsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterTopicsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterTopicsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTopicsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTopicsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchTopicsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchTopicsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("removeParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("removeParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
		("tryDecryptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryDecryptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
	]

class TopicBasicApi(Structure):
	_fields_ = [
		("addParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("addParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("deleteTopicsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("deleteTopicsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("filterTopicsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("filterTopicsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("getTopicsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("getTopicsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("matchTopicsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("matchTopicsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("modifyTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("modifyTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("removeParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, DATA_RESULT_CALLBACK_FUNC)),
		("removeParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
		("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, PTR_RESULT_CALLBACK_FUNC)),
		("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
	]

class flavoured(Structure):
	_fields_ = [
		("AccessLogApi", AccessLogApi),
		("AccessLogBasicApi", AccessLogBasicApi),
		("CalendarItemApi", CalendarItemApi),
		("CalendarItemBasicApi", CalendarItemBasicApi),
		("ClassificationApi", ClassificationApi),
		("ClassificationBasicApi", ClassificationBasicApi),
		("ContactApi", ContactApi),
		("ContactBasicApi", ContactBasicApi),
		("DocumentApi", DocumentApi),
		("DocumentBasicApi", DocumentBasicApi),
		("FormApi", FormApi),
		("FormBasicApi", FormBasicApi),
		("HealthcareElementApi", HealthcareElementApi),
		("HealthcareElementBasicApi", HealthcareElementBasicApi),
		("InvoiceApi", InvoiceApi),
		("InvoiceBasicApi", InvoiceBasicApi),
		("MaintenanceTaskApi", MaintenanceTaskApi),
		("MaintenanceTaskBasicApi", MaintenanceTaskBasicApi),
		("MessageApi", MessageApi),
		("MessageBasicApi", MessageBasicApi),
		("PatientApi", PatientApi),
		("PatientBasicApi", PatientBasicApi),
		("ReceiptApi", ReceiptApi),
		("ReceiptBasicApi", ReceiptBasicApi),
		("TimeTableApi", TimeTableApi),
		("TimeTableBasicApi", TimeTableBasicApi),
		("TopicApi", TopicApi),
		("TopicBasicApi", TopicBasicApi),
	]

class api(Structure):
	_fields_ = [
		("ApplicationSettingsApi", ApplicationSettingsApi),
		("CodeApi", CodeApi),
		("CryptoApi", CryptoApi),
		("DeviceApi", DeviceApi),
		("DocumentTemplateApi", DocumentTemplateApi),
		("EntityReferenceApi", EntityReferenceApi),
		("EntityTemplateApi", EntityTemplateApi),
		("FrontEndMigrationApi", FrontEndMigrationApi),
		("GroupApi", GroupApi),
		("HealthcarePartyApi", HealthcarePartyApi),
		("ICureApi", ICureApi),
		("InsuranceApi", InsuranceApi),
		("KeywordApi", KeywordApi),
		("PermissionApi", PermissionApi),
		("PlaceApi", PlaceApi),
		("RecoveryApi", RecoveryApi),
		("RoleApi", RoleApi),
		("TarificationApi", TarificationApi),
		("UserApi", UserApi),
		("extended", extended),
		("flavoured", flavoured),
	]

class RsaEncryptionAlgorithmSerializer(Structure):
	_fields_ = [
		("_type", CFUNCTYPE(c_void_p)),
		("_instance", CFUNCTYPE(AnyKtRef)),
		("get_descriptor", CFUNCTYPE(AnyKtRef, AnyKtRef)),
		("deserialize", CFUNCTYPE(AnyKtRef, AnyKtRef, AnyKtRef)),
		("serialize", CFUNCTYPE(None, AnyKtRef, AnyKtRef, AnyKtRef)),
	]

class serialization(Structure):
	_fields_ = [
		("RsaEncryptionAlgorithmSerializer", RsaEncryptionAlgorithmSerializer),
	]

class EntitySubscription(Structure):
	_fields_ = [
		("close", CFUNCTYPE(c_void_p, c_void_p)),
		("getCloseReason", CFUNCTYPE(c_void_p, c_void_p)),
		("getEvent", CFUNCTYPE(c_void_p, c_void_p)),
		("waitForEventAsync", CFUNCTYPE(None, c_void_p, c_int32, c_void_p)),
		("waitForEventBlocking", CFUNCTYPE(c_void_p, c_void_p, c_int32)),
	]

class subscription(Structure):
	_fields_ = [
		("EntitySubscription", EntitySubscription),
	]

class PyResult(Structure):
	_fields_ = [
		("_type", CFUNCTYPE(c_void_p)),
		("get_failure", CFUNCTYPE(c_void_p, AnyKtRef)),
		("get_success", CFUNCTYPE(c_void_p, AnyKtRef)),
	]

class PaginatedListIterator(Structure):
	_fields_ = [
		("hasNextAsync", CFUNCTYPE(None, c_void_p, c_void_p)),
		("hasNextBlocking", CFUNCTYPE(c_void_p, c_void_p)),
		("nextAsync", CFUNCTYPE(None, c_void_p, c_int32, c_void_p)),
		("nextBlocking", CFUNCTYPE(c_void_p, c_void_p, c_int32)),
	]

class utils(Structure):
	_fields_ = [
		("PyResult", PyResult),
		("PaginatedListIterator", PaginatedListIterator),
		("setCallbackFailure", CFUNCTYPE(None, c_void_p, c_char_p)),
		("setCallbackResult", CFUNCTYPE(None, c_void_p, c_char_p)),
		("disposeStablePtr", CFUNCTYPE(None, c_void_p)),
	]

class py(Structure):
	_fields_ = [
		("SdkInitializationResult", SdkInitializationResult),
		("PyCryptoStrategies", PyCryptoStrategies),
		("api", api),
		("serialization", serialization),
		("subscription", subscription),
		("utils", utils),
		("initializeBaseSdk", CFUNCTYPE(AnyKtRef, c_char_p)),
		("initializeSdk", CFUNCTYPE(AnyKtRef, c_char_p, c_void_p)),
	]

class sdk(Structure):
	_fields_ = [
		("py", py),
	]

class icure(Structure):
	_fields_ = [
		("sdk", sdk),
	]

class com(Structure):
	_fields_ = [
		("icure", icure),
	]

class root(Structure):
	_fields_ = [
		("com", com),
	]

class kotlin(Structure):
	_fields_ = [
		("root", root),
	]

class Symbols(Structure):
	_fields_ = [
		("DisposeStablePointer", CFUNCTYPE(None, c_void_p)),
		("DisposeString", CFUNCTYPE(None, c_void_p)),
		("IsInstance", UNUSED_C_FUNC),
		("createNullableByte", UNUSED_C_FUNC),
		("getNonNullValueOfByte", UNUSED_C_FUNC),
		("createNullableShort", UNUSED_C_FUNC),
		("getNonNullValueOfShort", UNUSED_C_FUNC),
		("createNullableInt", UNUSED_C_FUNC),
		("getNonNullValueOfInt", UNUSED_C_FUNC),
		("createNullableLong", UNUSED_C_FUNC),
		("getNonNullValueOfLong", UNUSED_C_FUNC),
		("createNullableFloat", UNUSED_C_FUNC),
		("getNonNullValueOfFloat", UNUSED_C_FUNC),
		("createNullableDouble", UNUSED_C_FUNC),
		("getNonNullValueOfDouble", UNUSED_C_FUNC),
		("createNullableChar", UNUSED_C_FUNC),
		("getNonNullValueOfChar", UNUSED_C_FUNC),
		("createNullableBoolean", UNUSED_C_FUNC),
		("getNonNullValueOfBoolean", UNUSED_C_FUNC),
		("createNullableUnit", UNUSED_C_FUNC),
		("createNullableUByte", UNUSED_C_FUNC),
		("getNonNullValueOfUByte", UNUSED_C_FUNC),
		("createNullableUShort", UNUSED_C_FUNC),
		("getNonNullValueOfUShort", UNUSED_C_FUNC),
		("createNullableUInt", UNUSED_C_FUNC),
		("getNonNullValueOfUInt", UNUSED_C_FUNC),
		("createNullableULong", UNUSED_C_FUNC),
		("getNonNullValueOfULong", UNUSED_C_FUNC),
		("kotlin", kotlin),
	]

def __loadSymbols():
	if platform.system().lower() == 'windows':
		kdll.icure_sdk_native_pylib_symbols.restype = POINTER(Symbols)
		return kdll.icure_sdk_native_pylib_symbols().contents
	else:
		kdll.libicure_sdk_native_pylib_symbols.restype = POINTER(Symbols)
		return kdll.libicure_sdk_native_pylib_symbols().contents

symbols: Symbols = __loadSymbols()
